<?php

	$sql2 = 'SELECT * FROM objekte WHERE ID = "'.$_POST['ID'].'";';
	$result2 = $db->query($sql2);
	$nt2 = $result2->fetch_assoc();
	$user = fnc_getUsernameById ( $nt2['TID'], 'portal' );
	
	$Importmodus = $_POST['ImmoScout'];
	
	$stellplkosten = 0;
	$HausKategorie = '';
	$picpath = 			'';
	$Ausstattung =		'';
	$Flaeche = 			'';
	$Garten = 			'';
	$HausT = 			'';
	$Heizungsart = 		'';
	$Aufzug = 		'';
	$Parkplatz = 		'';
	$Sonst =			'';
	$Einbaukueche = 	'';
	$Kaufpreise =		'';
	$BalkTerr =			'';
	$Etage =			'';
	$Etagen =			'';
	$Keller = 			'';
	$GaesteWC = 		'';
	$Barrierefrei = 	'';
	$AnzGarStell = 		'';
	$AnzBad =		 	'';
	$AnzSchlaf = 		'';
	$Befeuerungsart =	'';
	$Lage =				'';
	$Mietpreise = 		'';
	$Waehrung = 		'			Waehrung="EUR"'."\n";
	$Modernisierung =	'';
	$Energieausweis =	'';
	$Provision =		'';
	if ( !empty ( $nt2['Provision'] ) )
		{
			$Provision =		'			Provision="' . $nt2['Provision'] . "\"\n";
		}
	if ( '1' == $nt2['ProvisionsPflichtig'] )
		{
			$Provision .=		'			Provisionspflichtig="true"'."\n";
		}
	if ( !empty ( $nt2['ProvisionsHinweis'] ) )
		{
			$Provision .=		'			Provisionshinweis="' . $nt2['ProvisionsHinweis'] . "\"\n";
		}


	$Adresse = 			'			<Adresse '."\n";
	if ( !empty ( $nt2['Strasse'] ) )
		{
			$Adresse .=			'				Strasse="'.$nt2['Strasse'].'" '."\n";
		}
	if ( !empty ( $nt2['StraNr'] ) )
		{
			$Adresse .=			'				Hausnummer="'.$nt2['StraNr'].'" '."\n";
		}
	$Adresse .=			'				Ort="'.$nt2['Ort'].'" '."\n";
	$Adresse .=			'				Postleitzahl="'.$nt2['PLZ'].'" '."\n";
	$Adresse .=			'				Laenderkennzeichen="DEU"'."\n";
	$Adresse .=			'			/>'."\n";
	
	$Kontaktperson = 	"			<Kontaktperson \n";
	$Kontaktperson .=	"				Anrede=\"". $user[0] ."\" \n";
	$Kontaktperson .=	"				Vorname=\"".$user[1]."\" \n";
	$Kontaktperson .=	"				Nachname=\"".$user[2]."\" \n";
	$Kontaktperson .=	"				Telefon=\"".KONT_TEL."\" \n";
	$Kontaktperson .=	"				Homepage=\"".KONT_HOME."\" \n";
	$Kontaktperson .=	"				EMail=\"".KONT_MAIL."\" \n";
	$Kontaktperson .=	"			/>\n";

	if ( 'keine Angabe' != $nt2['EnerTyp'] )
		{
			$Energieausweis = 			'			<Energieausweis '."\n";
			$Energieausweis .=			'				Energieausweistyp="'.$nt2['EnerTyp'].'" '."\n";
			$Energieausweis .=			'				Energieverbrauchskennwert="'.$nt2['EnerVKW'].'" '."\n";
			if ( $nt2['EnerWWEnt'] )
				{
					$Energieausweis .=			'				WarmwasserEnthalten="true"'."\n";
				}
			$Energieausweis .=			'			/>'."\n";
		}
		
	if ( !empty ( $nt2['Lage'] ) )
		{
			$Lage =	"			<Lage>\n";
			$Lage .=	'				' . $nt2['Lage'] . "\n";
			$Lage .=	"			</Lage>\n";
		}
	

	if ('' != $nt2['OBeschreibung']) {
		$OBeschreib =		'			<Objektbeschreibung>'."\n";
		$OBeschreib .=		'				'.substr($nt2['OBeschreibung'],0,2000)."\n";
		$OBeschreib .=		'			</Objektbeschreibung>'."\n";
	}

	if ('' != $nt2['Ausstatt']) {
		$Ausstattung =		'			<Ausstattung>'."\n";
		$Ausstattung .=		'				'.substr($nt2['Ausstatt'],0,2000)."\n";
		$Ausstattung .=		'			</Ausstattung>'."\n";
	}

	if ('' != $nt2['Sonstiges']) {
		$Sonst =			'			<SonstigeAngaben>'."\n";
		$Sonst .=			'				'.substr($nt2['Sonstiges'],0,2000)."\n";
		$Sonst .=			'			</SonstigeAngaben>'."\n";
	}
	
	$Objekt = $nt2['O_TYP'].$nt2['V_TYP'];
	
	if ('Wohnung' == $nt2['O_TYP']) {
		$Flaeche =	'			Wohnflaeche="'.$nt2['WohnF'].'"'."\n";
		$BalkTerr = '			BalkonTerrasse="true"'."\n";
		
		if ( '0' != $nt2['Etage'] )
			{
				$Etage = '			Etage="'.$nt2['Etage'].'"'."\n";
			}
		if ( '0' != $nt2['Etagen'] )
			{
				$Etagen = '			Etagenzahl="'.$nt2['Etagen'].'"'."\n";
			}
		
		$OZustand = '			Objektzustand="'. str_replace ( 'VollständigRenoviert', 'VollstaendigReonviert', str_replace ( 'ü', 'ue', str_replace ( ' ', '', $nt2['Zustand'] ) ) ) .'"'."\n";
		if ('1' == $nt2['Garten']) {
			$Garten = '			GartenBenutzung="true"'."\n";
		}

	} else {
		$Flaeche =	'			Wohnflaeche="'.$nt2['WohnF'].'"'."\n";
		if (0 != (int)$nt2['GrundF']) {
			$Flaeche .=	'			GrundstuecksFlaeche="'.$nt2['GrundF'].'"'."\n";
		}
		$HausKategorie = '			HausKategorie="' . str_replace ( ' ', '', $nt2['Art'] ) . '"'."\n";
		$HausKategorie = str_replace('ä', 'ae', $HausKategorie);
		if ( '0' != $nt2['Etagen'] )
			{
				$Etagen = '			Etagenzahl="'.$nt2['Etagen'].'"'."\n";
			}
		
		$OZustand = '			Objektzustand="'. str_replace ( 'VollständigRenoviert', 'VollstaendigReonviert', str_replace ( 'ü', 'ue', str_replace ( ' ', '', $nt2['Zustand'] ) ) ) .'"'."\n";
	}
		
	if (('1' == $nt2['Balkon']) OR ('1' == $nt2['Terrasse'])) {
	}
	if ('1' == $nt2['EinbauK']) {
		$Einbaukueche = '			Einbaukueche="true"'."\n";
	}
	if ('1' == $nt2['Keller']) {
		$Keller = '			Keller="true"'."\n";
	}
	if ('1' == $nt2['WCsep']) {
		$GaesteWC = '			GaesteWC="true"'."\n";
	}
	if ('1' == $nt2['Barrierefrei']) {
		$Barrierefrei = '			Barrierefrei="true"'."\n";
	}
	if ('0' != $nt2['AnzGarStell']) {
		$AnzGarStell = '			AnzahlGaragenStellplaetze="' . $nt2['AnzGarStell'] . '"'."\n";
	}
	if ('0' != $nt2['AnzBad']) {
		$AnzBad = '			AnzahlBadezimmer="' . $nt2['AnzBad'] . '"'."\n";
	}
	if ('0' != $nt2['AnzSchlaf']) {
		$AnzSchlaf = '			AnzahlSchlafzimmer="' . $nt2['AnzSchlaf'] . '"'."\n";
	}
	if ('1' == $nt2['Aufzug']) {
		$Aufzug = '			Aufzug="true"'."\n";
	}


	if (('Kauf' == $nt2['V_TYP']) AND ('Wohnung' != $nt2['O_TYP'])) {
		$Einbaukueche = '';
	}
	if ('Miete' == $nt2['V_TYP']) {
		$Mietpreise = '			<Mietpreise '."\n";
		$Mietpreise .='				Kaltmiete="'.$nt2['Mkalt'].'" '."\n";
		if ( '0' != $nt2['Mwarm'] )
			{
				$Mietpreise .='				Warmmiete="'.$nt2['Mwarm'].'" '."\n";
			}
		if ( '0' != $nt2['NebenK'] )
			{
				$Mietpreise .='				Nebenkosten="'.$nt2['NebenK'].'" '."\n";
			}
		
		if (0 != $nt2['StellK']) {
			$Mietpreise .= '				StellplatzMiete="'.$nt2['StellK'].'" '."\n";
		}
		if (0 != (int)$nt2['Kaution']) {
			$Mietpreise .= '				Kaution="'.$nt2['Kaution'].'" '."\n";
		}
		$Mietpreise .= '			/>'."\n";
		$HausT = '			Haustiere="' . str_replace ( ' ', '', $nt2['Tiere'] ) . '"'."\n";
		
	}
	
	if ('Kauf' == $nt2['V_TYP']) {
		$Kaufpreise = '			<Kaufpreise '."\n";
		$Kaufpreise .='				Kaufpreis="'.$nt2['Mkalt'].'" '."\n";
		
		if (0 != $nt2['Mwarm']) {
			$Kaufpreise .= '				Wohngeld="'.$nt2['Mwarm'].'" '."\n";
		}
		if (0 != $nt2['StellK']) {
			$Kaufpreise .= '				StellplatzKaufpreis="'.$nt2['StellK'].'" '."\n";
		}
		if (0 != $nt2['SonK']) {
			$Kaufpreise .= '				MieteinnahmenProMonat="'.$nt2['SonK'].'" '."\n";
		}
		$Kaufpreise .= '			/>'."\n";
		
	}
		$picpath = "../img/objekte/";
	

	if ( !empty ( $nt2['Modern'] ) AND '0' != $nt2['Modern'] )
		{
			$Modernisierung = '			JahrLetzteModernisierung="' . $nt2['Modern'] . '"'."\n";
		}

	
	$Heizungsart = '			Heizungsart="' . str_replace ( ' ', '', $nt2['Heizart'] ) . '"'."\n";

	$BefeuerungsArt =	"			<BefeuerungsArt>\n";
	$BefeuerungsArt .=	'				<' . str_replace ( ' ', '', str_replace ( 'ä', 'ae', str_replace ( 'Ö', 'Oe', $nt2['Befeuerung'] ) ) ) . '/>' . "\n";
	$BefeuerungsArt .=	"			</BefeuerungsArt>\n";
	
	if (('1' == $nt2['Garage']) OR ('1' == $nt2['StellPl'])) {
		$Parkplatz = '			Parkplatz="true"'."\n";
	}

	$MmATitel = 'TWE-Immobilien';
	$MultimediaAnhang =	'			<MultimediaAnhang '."\n";
	$MultimediaAnhang .=	'				AnhangArt="bild" '."\n";
	$MultimediaAnhang .=	'				Titel="'.$MmATitel.'" '."\n";
	$MultimediaAnhang .=	'				Dateityp=".JPG"'."\n";
	$MultimediaAnhang .=	'				Dateiname="'.$nt2['ID'].'_0.jpg" '."\n";
	$MultimediaAnhang .=	'			/>'."\n";
	$source = $picpath."0_0.jpg";
	$dest = "temp/".$nt2['ID']."_0.jpg";
	copy($source, $dest);
	for ($i=1; $i<10; $i++) {
		if ((file_exists($picpath.$nt2['ID']."_".$i.".jpg"))){
			if ('' == $nt2['Foto'.$i.'']) {
				$MmATitel = 'Foto'.$i;
			} else {
				$MmATitel = $nt2['Foto'.$i.''];
			}
			$MultimediaAnhang .=	'			<MultimediaAnhang '."\n";
			$MultimediaAnhang .=	'				AnhangArt="bild" '."\n";
			$MultimediaAnhang .=	'				Titel="'.$MmATitel.'" '."\n";
			$MultimediaAnhang .=	'				Dateityp=".JPG"'."\n";
			$MultimediaAnhang .=	'				Dateiname="'.$nt2['ID']."_".$i.'.jpg" '."\n";
			$MultimediaAnhang .=	'			/>'."\n";
			$source = $picpath.$nt2['ID']."_".$i.".jpg";
			$dest = "temp/".$nt2['ID']."_".$i.".jpg";
			copy($source, $dest);
		}
	}
	$path = "temp/".$nt2['ID']."_st_Z9B_imt.xml";
	$datei = fopen($path, "a+");
	
	$text = '<?xml version="1.0" encoding="UTF-8"?>'."\n";
	$text .= '<IS24ImmobilienTransfer'."\n";
	$text .= '	xmlns="http://www.immobilienscout24.de/immobilientransfer"'."\n";
	$text .= '	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"'."\n";
	$text .= '	xsi:schemaLocation="http://www.immobilienscout24.de/immobilientransfer is24immotransfer.xsd"'."\n";
	$text .= '	ErstellerSoftware="R!ST"'."\n";
	$text .= '	ErstellerSoftwareVersion="'.SW_VERSION.'"'."\n";
	$text .= '	EmailBeiFehler="'.MAIL_ERROR.'"'."\n";
	$text .= '>'."\n";
	$text .= '	<Anbieter ScoutKundenID="'.IMMOS_ID.'">'."\n";
	$text .= '		<'.$Objekt."\n";
	$text .= '			AnbieterObjektID="'.$nt2['ID'].'"'."\n";
	$text .= '			Ueberschrift="'.$nt2['Kurz'].'"'."\n";
	$text .= '			Importmodus="'.$Importmodus.'"'."\n";
	$text .= $Flaeche;
	
	$text .= '			Zimmer="'.$nt2['Zimmer'].'"';
	$text .= "\n";
	
	$text .= '			Adressdruck="false"'."\n";
	if ( !empty ( $nt2['Baujahr'] ) AND ( '0' != $nt2['Baujahr'] ) )
		{
			$text .= '			Baujahr="'.$nt2['Baujahr'].'"'."\n";
		}
	$text .= $Modernisierung;
	$text .= $BalkTerr;
	$text .= $Einbaukueche;
	$text .= $Etage;
	$text .= $Etagen;
	$text .= $OZustand;
	if ( !empty ( $nt2['Bezug'] ) )
		{
			$text .= '			FreiAb="'.$nt2['Bezug'].'"'."\n";
		}
	$text .= $Garten;
	$text .= $HausKategorie;
	$text .= $HausT;
	$text .= $Heizungsart;
	$text .= $Keller;
	$text .= $GaesteWC;
	$text .= $Barrierefrei;
	$text .= $AnzGarStell;
	$text .= $AnzBad;
	$text .= $AnzSchlaf;
	$text .= $Aufzug;
	$text .= $Parkplatz;
	$text .= $Provision;
	$text .= $Waehrung;
	$text .= '		>'."\n";
	$text .= $Adresse;
	$text .= $Kontaktperson;
	$text .= $OBeschreib;
	$text .= $Lage;
	$text .= $Ausstattung;
	$text .= $Sonst;
	$text .= $MultimediaAnhang;
	$text .= $Mietpreise;
	$text .= $Kaufpreise;
	$text .= $BefeuerungsArt;
	$text .= $Energieausweis;
	$text .= '		</'.$Objekt.'>'."\n";
	$text .= '	</Anbieter>'."\n";
	$text .= '</IS24ImmobilienTransfer>';
	$text = utf8_encode($text);
	fwrite($datei, $text);
	fclose($datei);
?>
